Bug 115558 - FILESAVE DOCX Charts in footnotes in DOCX documents created with Word cause broken file when saved
Summary: FILESAVE DOCX Charts in footnotes in DOCX documents created with Word cause b...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX-Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-02-08 18:09 UTC by Gabor Kelemen (allotropia)
Modified: 2019-05-27 14:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file saved by Word 2013 (34.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-08 18:09 UTC, Gabor Kelemen (allotropia)
Details
The example file exported by LO 5.4 (21.85 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-02-08 18:09 UTC, Gabor Kelemen (allotropia)
Details
Error message when trying to open the exported file (8.38 KB, image/png)
2018-02-08 18:10 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-02-08 18:09:04 UTC
Created attachment 139707 [details]
Example file saved by Word 2013

If we create a document with a chart in a footnote in Word, and save it as DOCX, then reopen the file in LibreOffice, and save it again, it causes a broken file and Word is unable open it. 

Steps to reproduce:
1. Create a new document in Microsoft Word.
2. Create a short text with multiple footnotes.
3. Insert a chart in one of the footnotes.
4. Save the document as DOCX and close Word.
5. Open the file in LibreOffice, and save it again with a different filename as DOCX.
6. Attempt to open the file created with LibreOffice in Microsoft Word.

Actual results:
Charts multiply every time we save the file in Writer as DOCX and reopen it, and Microsoft Word is unable to open this DOCX file.

Expected results:
Charts shouldn't multiply, and Word should be able to open the file.
Comment 1 Gabor Kelemen (allotropia) 2018-02-08 18:09:35 UTC
Created attachment 139708 [details]
The example file exported by LO 5.4
Comment 2 Gabor Kelemen (allotropia) 2018-02-08 18:10:16 UTC
Created attachment 139709 [details]
Error message when trying to open the exported file
Comment 3 Timur 2018-02-12 08:50:43 UTC
Repro 5.1 and 6.1+. With 5.0 chart wasn't seen on fileopen.
Comment 4 László Németh 2019-05-27 14:26:59 UTC
Fixed in the commit associated to Bug 115557.